summaryrefslogtreecommitdiff
path: root/scripts/perf
diff options
context:
space:
mode:
authorNat Goodspeed <nat@lindenlab.com>2024-09-23 10:46:54 -0400
committerNat Goodspeed <nat@lindenlab.com>2024-09-23 10:46:54 -0400
commitdc5c10f6b74793cab5c188e6bec24ab28b336693 (patch)
treebf1cae32847fb9fa013e36431d95d0f19b34bf91 /scripts/perf
parent8efba1db81fc1294114cea70de0df53f4d4ab9a4 (diff)
Make frame_profile bash script find its workarea's viewer build.
Diffstat (limited to 'scripts/perf')
-rwxr-xr-xscripts/perf/frame_profile33
1 files changed, 33 insertions, 0 deletions
diff --git a/scripts/perf/frame_profile b/scripts/perf/frame_profile
index dcbb954536..84eb1166d5 100755
--- a/scripts/perf/frame_profile
+++ b/scripts/perf/frame_profile
@@ -1,6 +1,39 @@
#!/usr/bin/env bash
exe="$1"
+
+if [[ -z "$exe" ]]
+then
+ # this script lives in scripts/perf
+ base="$(dirname "$0")/../.."
+ case $OSTYPE in
+ darwin*)
+ # Don't assume a build type (e.g. RelWithDebInfo). Collect all of
+ # both, and pick the most recent build.
+ exe="$(ls -t "$base"/build-darwin-x86_64/newview/*/"Second Life"*.app/Contents/MacOS/"Second Life"* | head -1)"
+ ;;
+
+ cygwin)
+ exe="$(ls -t "$base"/build-*/newview/*/secondlife-bin.exe | head -1)"
+ ;;
+
+ linux-gnu)
+ exe="$(ls -t "$base"/build-linux-*/newview/packaged/secondlife | head -1)"
+ ;;
+
+ *)
+ stderr "Unknown platform $OSTYPE"
+ exit 1
+ ;;
+ esac
+fi
+
+if [ -z "$exe" ]
+then stderr "No viewer package build found"
+ exit 1
+fi
+
+# If a Mac user specified the .app bundle itself, dig in for the executable.
if [[ "$OSTYPE" == darwin* && -d "$exe" && "$exe" == *.app ]]
then
exe="$(ls "$exe/Contents/MacOS/Second Life "*)"